Bug 168182 - crash without messages, when edit mediawiki tables, adding | sismbols...
crash without messages, when edit mediawiki tables, adding | sismbols...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
http://www.mediawiki.org/wiki/Sandbox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-13 06:28 EDT by Francesco Tombolini
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-31 12:43:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Francesco Tombolini 2005-09-13 06:28:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc3 Firefox/1.0.6

Description of problem:
During the editing of mediawiki forms, to create tables with these simbols:
{|
|-
|
|}
Firefox crash.

Version-Release number of selected component (if applicable):
1.0.6-1.2.fc4 and 1.0.6-1.2.fc3

How reproducible:
Always

Steps to Reproduce:
The crash will happens in these conditions:
1) A mediawiki user-editor copy and paste text containing bullet lists and tables, from ms-word to mediawiki via internet explorer.
2) A mediawiki user-editor, that use firefox 1.0.6-1.2 for Fedora Core 3 or 1.0.6-1.2 for Fedora Core 4 coming from the default installation rpms, edit the pasted article using tables tags.

Actual Results:  firefox immediately crash without debug informations

Expected Results:  after finish editing, show the table

Additional info:

$ /usr/bin/firefox -debug
UA: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909
Fedora/1.0.6-1.2.fc3 Firefox/1.0.6:, extra:  Firefox/1.0.6
/usr/lib/firefox-1.0.6/run-mozilla.sh: line 159: 19173 Segmentation fault     
"$prog" ${1+"$@"}

It will no happen with talkback version of firefox downloaded by www.mozilla.org.

I submit this bug also (before) at bugzilla.mozilla.org at this url:
https://bugzilla.mozilla.org/show_bug.cgi?id=307994
But I think it is a FC only issue.
Comment 1 Christian Iseli 2007-01-22 06:09:44 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Francesco Tombolini 2007-01-30 19:11:27 EST
Checked, with current version of Fedora, this thing does not happen.

Note You need to log in before you can comment on or make changes to this bug.